Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 101393 - GPE Palmtop Environment: eclass and ebuilds (New Package)
Summary: GPE Palmtop Environment: eclass and ebuilds (New Package)
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: GPE Desktop Herd
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2005-08-04 17:00 UTC by Rene Wagner
Modified: 2009-06-03 22:34 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gpe.eclass (gpe.eclass,1.34 KB, text/plain)
2005-08-04 17:05 UTC, Rene Wagner
Details
libgpewidget-0.102.ebuild (libgpewidget-0.102.ebuild,444 bytes, text/plain)
2005-08-04 17:06 UTC, Rene Wagner
Details
libdisplaymigration-0.99.ebuild (libdisplaymigration-0.99.ebuild,427 bytes, text/plain)
2005-08-04 17:09 UTC, Rene Wagner
Details
libeventdb-0.15.ebuild (libeventdb-0.15.ebuild,474 bytes, text/plain)
2005-08-04 17:10 UTC, Rene Wagner
Details
libgpepimc-0.5.ebuild (libgpepimc-0.5.ebuild,407 bytes, text/plain)
2005-08-04 17:11 UTC, Rene Wagner
Details
libgpevtype-0.12.ebuild (libgpevtype-0.12.ebuild,369 bytes, text/plain)
2005-08-04 17:12 UTC, Rene Wagner
Details
libmimedir-20040307.ebuild (libmimedir-20040307.ebuild,695 bytes, text/plain)
2005-08-04 17:13 UTC, Rene Wagner
Details
libschedule-0.14.ebuild (libschedule-0.14.ebuild,436 bytes, text/plain)
2005-08-04 17:14 UTC, Rene Wagner
Details
libtododb-0.09.ebuild (libtododb-0.09.ebuild,413 bytes, text/plain)
2005-08-04 17:15 UTC, Rene Wagner
Details
libxsettings-0.11.ebuild (libxsettings-0.11.ebuild,381 bytes, text/plain)
2005-08-04 17:16 UTC, Rene Wagner
Details
gpe-calendar-0.62.ebuild (gpe-calendar-0.62.ebuild,559 bytes, text/plain)
2005-08-04 17:18 UTC, Rene Wagner
Details
gpe-contacts-0.41.ebuild (gpe-contacts-0.41.ebuild,455 bytes, text/plain)
2005-08-04 17:18 UTC, Rene Wagner
Details
gpe-icons-0.25.ebuild (gpe-icons-0.25.ebuild,333 bytes, text/plain)
2005-08-04 17:19 UTC, Rene Wagner
Details
gpe-today-0.08.ebuild (gpe-today-0.08.ebuild,675 bytes, text/plain)
2005-08-04 17:20 UTC, Rene Wagner
Details
gpe-today_makefiles.patch (gpe-today_makefiles.patch,7.77 KB, patch)
2005-08-04 17:21 UTC, Rene Wagner
Details | Diff
gpe-todo-0.54.ebuild (gpe-todo-0.54.ebuild,460 bytes, text/plain)
2005-08-04 17:22 UTC, Rene Wagner
Details
gpe-calculator-0.2.ebuild (gpe-calculator-0.2.ebuild,431 bytes, text/plain)
2005-08-04 17:24 UTC, Rene Wagner
Details
fix_makefile.patch for gpe-calculator (fix_makefile.patch,1.71 KB, patch)
2005-08-04 17:25 UTC, Rene Wagner
Details | Diff
gpe-edit-0.29.ebuild (gpe-edit-0.29.ebuild,365 bytes, text/plain)
2005-08-04 17:26 UTC, Rene Wagner
Details
gpe-gallery-0.96.ebuild (gpe-gallery-0.96.ebuild,341 bytes, text/plain)
2005-08-04 17:27 UTC, Rene Wagner
Details
gpe-mileage-0.1.ebuild (gpe-mileage-0.1.ebuild,404 bytes, text/plain)
2005-08-04 17:27 UTC, Rene Wagner
Details
gpe-plucker-0.2.ebuild (gpe-plucker-0.2.ebuild,491 bytes, text/plain)
2005-08-04 17:28 UTC, Rene Wagner
Details
fix_makefiles.patch for gpe-plucker (fix_makefiles.patch,3.02 KB, patch)
2005-08-04 17:28 UTC, Rene Wagner
Details | Diff
remove-render.patch for gpe-plucker (remove-render.patch,407 bytes, patch)
2005-08-04 17:29 UTC, Rene Wagner
Details | Diff
gpe-sketchbook-0.2.8.ebuild (gpe-sketchbook-0.2.8.ebuild,749 bytes, text/plain)
2005-08-04 17:30 UTC, Rene Wagner
Details
remove-render.patch for gpe-sketchbook (remove-render.patch,1.21 KB, patch)
2005-08-04 17:31 UTC, Rene Wagner
Details | Diff
sketchbook-size.patch for gpe-sketchbook (sketchbook-size.patch,670 bytes, patch)
2005-08-04 17:32 UTC, Rene Wagner
Details | Diff
gpe-go-0.05.ebuild (gpe-go-0.05.ebuild,418 bytes, text/plain)
2005-08-04 17:33 UTC, Rene Wagner
Details
fix-make.patch for gpe-go (fix-make.patch,8.27 KB, patch)
2005-08-04 17:34 UTC, Rene Wagner
Details | Diff
gpe-life-0.2.ebuild (gpe-life-0.2.ebuild,384 bytes, text/plain)
2005-08-04 17:34 UTC, Rene Wagner
Details
gpe-lights-0.13.ebuild (gpe-lights-0.13.ebuild,430 bytes, text/plain)
2005-08-04 17:35 UTC, Rene Wagner
Details
fix-makefiles.patch for gpe-lights (fix-makefiles.patch,11.12 KB, patch)
2005-08-04 17:35 UTC, Rene Wagner
Details | Diff
gpe-othello-0.2_p1.ebuild (gpe-othello-0.2_p1.ebuild,522 bytes, text/plain)
2005-08-04 17:36 UTC, Rene Wagner
Details
fix-makefiles.patch for gpe-othello (fix-makefiles.patch,11.30 KB, patch)
2005-08-04 17:36 UTC, Rene Wagner
Details | Diff
gpe-tetris-0.6_p4.ebuild (gpe-tetris-0.6_p4.ebuild,464 bytes, text/plain)
2005-08-04 17:37 UTC, Rene Wagner
Details
gpe-mixer-0.42.ebuild (gpe-mixer-0.42.ebuild,356 bytes, text/plain)
2005-08-04 17:38 UTC, Rene Wagner
Details
gpe-2.6.0.ebuild (gpe-2.6.0.ebuild,933 bytes, text/plain)
2005-08-04 17:39 UTC, Rene Wagner
Details
portage-gpe.tar.bz2 (portage-gpe.tar.bz2,15.56 KB, application/x-bzip)
2005-08-04 17:46 UTC, Rene Wagner
Details
fix-inherit-order.patch (fix-inherit-order.patch,17.11 KB, patch)
2005-08-05 04:30 UTC, Rene Wagner
Details | Diff
portage-gpe.inheritfixed.tar.bz2 (portage-gpe.inheritfixed.tar.bz2,15.65 KB, application/x-bzip)
2005-08-05 04:31 UTC, Rene Wagner
Details
Half-functioning GPE 2.7 ebuilds (gpe.tar.gz,36.38 KB, application/x-gzip)
2006-08-12 02:42 UTC, Milan Plzik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Wagner 2005-08-04 17:00:49 UTC
Hi!

This is my first mass submission of interdependent ebuilds and unfortunately I 
haven't found any instructions for this. I'll submit them all as one attachment 
per eclass/ebuild/patch to this bug. I'll also attach a tarball (tar.bz2) 
containing everything (+ prepared ChangeLog files). If that is not the expected 
way to handle this, I'll be glad to follow your instructions to re-submit them.

The GPE Palmtop Environment aims to provide a Free Software GUI environment for 
palmtop/handheld computers running the GNU/Linux operating system. GPE uses the 
X Window System, and the GTK+ widget toolkit.

The ebuilds are based on the corresponding .bb files in OpenEmbedded 
(http://openembedded.org) and provide all GPE libraries and a subset of GPE 
applications, i.e. those that are not PDA specific.

I marked all packages with KEYWORD="x86 arm" since they work on x86 here and
are also known to compile and work fine for arm (both when cross-compiled and 
compiled natively).

With gnome-base in mind I suggest adding a category gpe-base which is where
all ebuilds submitted here should go.

Let me know if there's anything wrong that you'd like me to fix.

Regards,

Rene
Comment 1 Rene Wagner 2005-08-04 17:05:18 UTC
Created attachment 65105 [details]
gpe.eclass

eclass used by all gpe application/library ebuilds.
Comment 2 Rene Wagner 2005-08-04 17:06:47 UTC
Created attachment 65106 [details]
libgpewidget-0.102.ebuild

libgpewidget - A collection of widgets and other common code shared by many GPE
applications.
Comment 3 Rene Wagner 2005-08-04 17:09:07 UTC
Created attachment 65107 [details]
libdisplaymigration-0.99.ebuild

libdisplaymigration - Gtk+ display migration library
Comment 4 Rene Wagner 2005-08-04 17:10:21 UTC
Created attachment 65108 [details]
libeventdb-0.15.ebuild

libeventdb - Database access library for GPE calendar
Comment 5 Rene Wagner 2005-08-04 17:11:32 UTC
Created attachment 65109 [details]
libgpepimc-0.5.ebuild

libgpepimc - Common code for PIM applications of the GPE Palmtop Environment
Comment 6 Rene Wagner 2005-08-04 17:12:32 UTC
Created attachment 65110 [details]
libgpevtype-0.12.ebuild

Data interchange library for the GPE Palmtop Environment
Comment 7 Rene Wagner 2005-08-04 17:13:31 UTC
Created attachment 65111 [details]
libmimedir-20040307.ebuild

RFC2425 MIME Directory Profile library, supporting vCard and iCalendar
Comment 8 Rene Wagner 2005-08-04 17:14:43 UTC
Created attachment 65112 [details]
libschedule-0.14.ebuild

RTC alarm handling library for the GPE Palmtop Environment
Comment 9 Rene Wagner 2005-08-04 17:15:45 UTC
Created attachment 65113 [details]
libtododb-0.09.ebuild

Database access library for GPE to-do list
Comment 10 Rene Wagner 2005-08-04 17:16:54 UTC
Created attachment 65114 [details]
libxsettings-0.11.ebuild

Common code for XSETTINGS
Comment 11 Rene Wagner 2005-08-04 17:18:14 UTC
Created attachment 65115 [details]
gpe-calendar-0.62.ebuild

Calendar application for the GPE Palmtop Environment
Comment 12 Rene Wagner 2005-08-04 17:18:55 UTC
Created attachment 65116 [details]
gpe-contacts-0.41.ebuild

Contacts manager for the GPE Palmtop Environment
Comment 13 Rene Wagner 2005-08-04 17:19:46 UTC
Created attachment 65117 [details]
gpe-icons-0.25.ebuild

Common icons for the GPE Palmtop Environment
Comment 14 Rene Wagner 2005-08-04 17:20:50 UTC
Created attachment 65118 [details]
gpe-today-0.08.ebuild

Appointments and tasks summary application for the GPE Palmtop Environment
Comment 15 Rene Wagner 2005-08-04 17:21:32 UTC
Created attachment 65120 [details, diff]
gpe-today_makefiles.patch

Makefiles patch for gpe-today
Comment 16 Rene Wagner 2005-08-04 17:22:45 UTC
Created attachment 65121 [details]
gpe-todo-0.54.ebuild

To-do list application for the GPE Palmtop Environment
Comment 17 Rene Wagner 2005-08-04 17:24:42 UTC
Created attachment 65122 [details]
gpe-calculator-0.2.ebuild

A scientific calculator for the GPE Palmtop Environment
Comment 18 Rene Wagner 2005-08-04 17:25:10 UTC
Created attachment 65123 [details, diff]
fix_makefile.patch for gpe-calculator

fix_makefile.patch for gpe-calculator.
Comment 19 Rene Wagner 2005-08-04 17:26:21 UTC
Created attachment 65124 [details]
gpe-edit-0.29.ebuild

Editor for the GPE Palmtop Environment
Comment 20 Rene Wagner 2005-08-04 17:27:07 UTC
Created attachment 65125 [details]
gpe-gallery-0.96.ebuild

Image viewer for the GPE Palmtop Environment
Comment 21 Rene Wagner 2005-08-04 17:27:47 UTC
Created attachment 65126 [details]
gpe-mileage-0.1.ebuild

A mileage calculator for the GPE Palmtop Environment
Comment 22 Rene Wagner 2005-08-04 17:28:20 UTC
Created attachment 65127 [details]
gpe-plucker-0.2.ebuild

Plucker ebook reader for the GPE Palmtop Environment
Comment 23 Rene Wagner 2005-08-04 17:28:45 UTC
Created attachment 65128 [details, diff]
fix_makefiles.patch for gpe-plucker

fix_makefiles.patch for gpe-plucker
Comment 24 Rene Wagner 2005-08-04 17:29:27 UTC
Created attachment 65129 [details, diff]
remove-render.patch for gpe-plucker

remove-render.patch for gpe-plucker. Removes the inclusion of an obsolete
header.
Comment 25 Rene Wagner 2005-08-04 17:30:07 UTC
Created attachment 65131 [details]
gpe-sketchbook-0.2.8.ebuild

A notebook to sketch notes for the GPE Palmtop Environment
Comment 26 Rene Wagner 2005-08-04 17:31:00 UTC
Created attachment 65132 [details, diff]
remove-render.patch for gpe-sketchbook
Comment 27 Rene Wagner 2005-08-04 17:32:59 UTC
Created attachment 65133 [details, diff]
sketchbook-size.patch for gpe-sketchbook
Comment 28 Rene Wagner 2005-08-04 17:33:56 UTC
Created attachment 65134 [details]
gpe-go-0.05.ebuild

A Go Board for the GPE Palmtop Environment
Comment 29 Rene Wagner 2005-08-04 17:34:16 UTC
Created attachment 65135 [details, diff]
fix-make.patch for gpe-go
Comment 30 Rene Wagner 2005-08-04 17:34:57 UTC
Created attachment 65136 [details]
gpe-life-0.2.ebuild

Conway's Game of Life for the GPE Palmtop Environment
Comment 31 Rene Wagner 2005-08-04 17:35:34 UTC
Created attachment 65137 [details]
gpe-lights-0.13.ebuild

A simple light puzzle for the GPE Palmtop Environment
Comment 32 Rene Wagner 2005-08-04 17:35:58 UTC
Created attachment 65138 [details, diff]
fix-makefiles.patch for gpe-lights
Comment 33 Rene Wagner 2005-08-04 17:36:36 UTC
Created attachment 65139 [details]
gpe-othello-0.2_p1.ebuild

Othello clone for the GPE Palmtop Environment
Comment 34 Rene Wagner 2005-08-04 17:36:58 UTC
Created attachment 65140 [details, diff]
fix-makefiles.patch for gpe-othello
Comment 35 Rene Wagner 2005-08-04 17:37:36 UTC
Created attachment 65141 [details]
gpe-tetris-0.6_p4.ebuild

Tetris for the GPE Palmtop Environment
Comment 36 Rene Wagner 2005-08-04 17:38:31 UTC
Created attachment 65142 [details]
gpe-mixer-0.42.ebuild

Audio mixer for the GPE Palmtop Environment
Comment 37 Rene Wagner 2005-08-04 17:39:17 UTC
Created attachment 65143 [details]
gpe-2.6.0.ebuild

GPE meta ebuild
Comment 38 Rene Wagner 2005-08-04 17:46:58 UTC
Created attachment 65144 [details]
portage-gpe.tar.bz2

Tarball containing the eclass, all ebuilds, all patches, and prepared ChangeLog

files.

The tarball will extract to two directories:
eclass
gpe-base

This was the final upload for now.
Comment 39 Rene Wagner 2005-08-05 04:30:29 UTC
Created attachment 65165 [details, diff]
fix-inherit-order.patch

It turns out that libtool.eclass and eutils.eclass override DESCRIPTION. This
patch moves the inherit statement to the top of the ebuilds to make sure that 
the correct DESCRIPTION is used.

To apply the patch:
cd /path/to/portage
patch -p0 < /path/to/fix-inherit-order.patch
Comment 40 Rene Wagner 2005-08-05 04:31:56 UTC
Created attachment 65166 [details]
portage-gpe.inheritfixed.tar.bz2

Updated Tarball with patch #65165 applied.
Comment 41 Radek Podgorny 2005-10-07 14:25:14 UTC
Everything compiles (and runs) cleanly on my ~x86. Please add to portage...
Comment 42 Radek Podgorny 2006-01-26 13:29:13 UTC
There's a 2.7 release...
Comment 43 Milan Plzik 2006-08-12 02:42:03 UTC
Created attachment 94038 [details]
Half-functioning GPE 2.7 ebuilds

updated ebuilds, which can build parts of GPE 2.7 I was not able to fix them all because of lack of time, but at least ebuild from 2.6 all have bumped versions, and old dependencies should be mostly OK. They don't build all (mostly because of new dependencies) and and need serious look on them before they are officialy released or used anywhere.
Comment 44 solar (RETIRED) gentoo-dev 2008-05-24 19:51:10 UTC
SCORE!
Comment 45 Angelo Arrifano (RETIRED) gentoo-dev 2009-06-03 22:33:45 UTC
The ebuilds and eclass were moved to the GPE overlay for quite some time. They were improved and tested. You can find the overlay with layman.

As some of you probably noticed, we are now in the process of quietly moving GPE into the tree.

I'm assigning this to the GPE herd and closing, thanks all for your work.